Subject: bug#14189: ls -d bug ??

From: Bernhard Voelker <[email-masked]>
Date: Fri, 12 Apr 2013 09:37:16 +0200

On 04/12/2013 08:06 AM, Bob Proulx wrote:
> Some local wordsmithing turned out the following as a better
> improvement.  It lists what it does in the positive first.  And
> removes the negative which was seen as being too confusing.
> 
>   `-d'
>   `--directory'
>      List only the name of directories, not the contents.  This is
>      most typically used with `-l' to list the information for the
>      directory itself instead of its contents.  Do not follow symbolic
>      links unless the `--dereference-command-line' (`-H'),
>      `--dereference' (`-L'), or
>      `--dereference-command-line-symlink-to-dir' options are
>      specified.  Overrides `--recursive', (`-R').

Not bad, but I'm still missing the point that `-d' changes ls's behavior
for *directory arguments* only.

Furthermore, I don't think mentioning `-l' is of much relevance here.
So this would melt down the first two sentences as follows:

  `-d'
  `--directory'
     For directory arguments, list only the information for the
     directory itself instead of its contents.  Do not follow symbolic
     links unless the `--dereference-command-line' (`-H'),
     `--dereference' (`-L'), or
     `--dereference-command-line-symlink-to-dir' options are
     specified.  Overrides `--recursive', (`-R').

And what about the usage() string?  I'd bet this is still 95% where
users are looking for. Something like the following perhaps?

-  -d, --directory            list directory entries instead of contents,
-                               and do not dereference symbolic links
+  -d, --directory            for directory arguments, list the entry itself
+                               instead of contents, and do not dereference
+                               symbolic links

Have a nice day,
Berny